Subject: Linking to 3rd party DLL's - howto?
From: [email-masked] ("[email-masked]")

29 Jan 1997 16:46:39 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Comments: Authenticated sender is <[email-masked]>
Original-To: [email-masked] (Cygwin List)
X-mailer: Pegasus Mail for Windows (v2.23)
Original-Sender: [email-masked]

Hello all,

I am sure this must be a FAQ but could'nt find it there.

I am trying to link to a LIB file, the linker reports 
"no such file or directory" even with a local copy to
eliminate any possibility of path variable problems.  

I tried to extract to object files with "ar" but "ar -tv"
gives approx. 50 entries with the same "DLL" label for each.

There apparently is some magic required here.

I've seen reference to fixheaders but don't know what or
where it is (thats next).

Also tried LD_LIBRARY_PATH or whatever, same deal.

All of this is in support of trying to get cygnus gcc and
the oracle precompiler to work together. Some details follow.

Thanks in advance for any info or suggested readings, I will 
be glad to summarize for the list & FAQ.

cygnus gcc:       v2.7.2
Win NT:           v3.51
Oracle:           v7.2
Pro*C:            v2.1
Lib file:         SQLLIB17.LIB
ar reports label: SQLLIB17.DLL 
balks at symbols: sqlcex & sqlglm

Thanks again
Mike
[email-masked] 
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".